Subject: bug#41544: 26.3; Possible incorrect results from color-distance

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 22 Aug 2020 15:22:59 +0200

Mattias Engdegård <[email-masked]> writes:

> Suppose we add standard-colour-darkness-predicate, say, with
> color-dark-p being the default and (r+b+g)/3<0.6 the 'traditional'
> option (or the default, if you prefer). How would the effects of that
> choice be explained to the user?
>
> A difference is only visible when:
>
> 1. a face sensitive to the background mode is used (many standard
> faces are), and
> 2. a background colour used that is judged differently by the
> available predicates
>
> Most reasonable backgrounds are either too light or too dark to pass
> the latter criterion, but people's idea of what is reasonable
> varies. For instance, black-on-green text is somewhat readable, but
>
>   emacs -bg green -fg black
>
> will give mostly bad default faces (for instance, the minibuffer
> prompt is almost invisible). With color-dark-p it becomes workable
> (attached diff).

I think that's a perfectly good explanation.  Could perhaps be shortened
a bit in the doc string.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no